if IsAddOnLoaded("Titan") and not IsAddOnLoaded("FuBar") then
	-- Do not load if Titanbar is loaded
	return
end

local beql = LibStub("AceAddon-3.0"):GetAddon("beql")
local L = LibStub("AceLocale-3.0"):GetLocale("beql")
--local Tablet = AceLibrary("Tablet-2.0")
--beqlfu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0","FuBarPlugin-2.0")
beqlfu = Rock:NewAddon("LocationFu", "LibFuBarPlugin-3.0")


	beqlfu:SetFuBarOption('hasIcon', true)
	beqlfu:SetFuBarOption('iconPath', "Interface\\Icons\\INV_Letter_03")
	beqlfu:SetFuBarOption('title', "bEQL")
	beqlfu:SetFuBarOption('name', "beql")
	beqlfu:SetFuBarOption('revision', beql.revision)

--[[beqlfu.title = "bEQL"
beqlfu.name = "beql"
beqlfu.revision = beql.revision
beqlfu.defaultPosition = "LEFT"
beqlfu.defaultMinimapPosition = 240
beqlfu.hideWithoutStandby = true
beqlfu.clickableTooltip = true
beqlfu.cannotDetachTooltip = false
beqlfu.hasIcon = "Interface\\Icons\\INV_Letter_03"
beqlfu.independentProfile = false
beqlfu.overrideMenu = true--]]

function beqlfu:OnInitialize()
    local _,questEntries = GetNumQuestLogEntries()

--	beqlfu.db = LibStub("AceDB-3.0"):New("fubar")
--	beql.db:RegisterNamespace("fubar")
	--beqlfu:SetFuBarText(questEntries.."/25")
end

function beqlfu:OnEnable()
	print("enable beqlfu")
	beqlfu:UpdateFuBarPluginSettings()
end

function beqlfu:OnTooltipUpdate()
    local _,questEntries = GetNumQuestLogEntries()
    local _, numfinished = beqlQ:GetNumQuests()
		beqlfu:SetFuBarText(questEntries.."/25")
    local cat = Tablet:AddCategory(
        'columns', 2
    )
    cat:AddLine(
		'text', " ",
		'text2'," "
	)
    
    cat:AddLine(
        'text', L["|cffffffffQuests|r"],
        'text2', questEntries
    )
    
    cat:AddLine(
        'text', L["|cffff8000Tracked Quests|r"],
        'text2', GetNumQuestWatches()
    )
    
    cat:AddLine(
        'text', L["|cff00d000Completed Quests|r"],
        'text2', numfinished
    )    
	Tablet:SetHint(L["|cffeda55fClick|r to open Quest Log and |cffeda55fShift+Click|r to open Waterfall config"])    
end

function beqlfu:UpdateFuBarPluginSettings()
	beql:debugprint("update fubar plugin Settings")
	beqlfu:Hide()
	beqlfu:SetFuBarOption('defaultPosition', "LEFT")
	beqlfu:SetFuBarOption('defaultMinimapPosition', 240)
	--beqlfu:SetFuBarOption('hideWithoutStandby', true)
	beqlfu:SetFuBarOption('cannotDetachTooltip', false)
	beqlfu:SetFuBarOption('independentProfile', false)
	beqlfu:SetFuBarOption('overrideMenu', true)
	
	if not beql.db.profile.fubar.HidePlugin then
		beqlfu:Show()
	end
end

function beqlfu:OpenMenu()
	InterfaceOptionsFrame_OpenToCategory(beql3.optionsFrames["fubar"])
end

function beqlfu:OnFuBarClick()
	if IsShiftKeyDown() then
		InterfaceOptionsFrame_OpenToCategory(beql3.optionsFrames["main"])
	else
		ToggleFrame(QuestLogFrame);
	end
end
